import { buildUseVueQuery } from "../../../vue-query";
import { createGetSimulate, createGetGetTx, createGetBroadcastTx, createGetGetTxsEvent, createGetGetBlockWithTxs, createGetTxDecode, createGetTxEncode, createGetTxEncodeAmino, createGetTxDecodeAmino } from "./service.rpc.func";
export const useGetSimulate = buildUseVueQuery({
    builderQueryFn: createGetSimulate,
    queryKeyPrefix: "SimulateQuery"
});
export const useGetGetTx = buildUseVueQuery({
    builderQueryFn: createGetGetTx,
    queryKeyPrefix: "GetTxQuery"
});
export const useGetBroadcastTx = buildUseVueQuery({
    builderQueryFn: createGetBroadcastTx,
    queryKeyPrefix: "BroadcastTxQuery"
});
export const useGetGetTxsEvent = buildUseVueQuery({
    builderQueryFn: createGetGetTxsEvent,
    queryKeyPrefix: "GetTxsEventQuery"
});
export const useGetGetBlockWithTxs = buildUseVueQuery({
    builderQueryFn: createGetGetBlockWithTxs,
    queryKeyPrefix: "GetBlockWithTxsQuery"
});
export const useGetTxDecode = buildUseVueQuery({
    builderQueryFn: createGetTxDecode,
    queryKeyPrefix: "TxDecodeQuery"
});
export const useGetTxEncode = buildUseVueQuery({
    builderQueryFn: createGetTxEncode,
    queryKeyPrefix: "TxEncodeQuery"
});
export const useGetTxEncodeAmino = buildUseVueQuery({
    builderQueryFn: createGetTxEncodeAmino,
    queryKeyPrefix: "TxEncodeAminoQuery"
});
export const useGetTxDecodeAmino = buildUseVueQuery({
    builderQueryFn: createGetTxDecodeAmino,
    queryKeyPrefix: "TxDecodeAminoQuery"
});
